# Modbus master устройство на AVR

Умные шторы с электроприводом, которые открываются в зависимости от внешнего освещения. Реализовать с использованием микроконтроллера mega328 и ПЛК (устройства из задания №1).

Установить два электропривода на 2 шторы (на каждую по 1). Используя два состояния открытие/закрытие для каждой шторы, в зависимости от уровня получаемого внешнего освещения. При котором мы используем 4 концевика (по 2 на каждую), которые соответствуют определенным положениям и используются как “СТОП”. Полученное значения с датчика света передается на АЦП. Далее это значение преобразуется и сравнивается с заданным значением, и в зависимости от этого, мы выбираем положение концевика к которому он должен прийти. Электроприводы начинают работать, до предельного состояния, т.е. до концевика.

___
**Участники** : Солодянкин Никита, Запевалов Артем.
___
**Задачи** :
1. Изучение UART - Солодянкин Никита
2. Изучение Modbus - Запевалов Артем
___
Разделение на 4 блока:
 1. Modbus master  ^
 2. Modbus slave   | 
 3. Modbus         |
 4. UART           |
 